#include <iostream>
using namespace std;
int main ()
{
    int A,B,C,D,E,X,kutii=0;
    cin>>A>>B>>C>>D>>E;
    X=A+B+C+D;
    if (X%E!=0)
    {
        kutii=X/E+1;
        cout<<kutii;
    }
    else
    {
       kutii=X/E;
       cout<<kutii;
    }
    return 0;
}
